Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class WebBrowserEvent

    java.lang.Object
      java.util.EventObject
          org.jdesktop.jdic.browser.WebBrowserEvent

All Implemented Interfaces:
  java.io.Serializable

public class WebBrowserEvent
extends java.util.EventObject

A `WebBrowserEvent` is dispatched by a `WebBrowser` object to indicate a defined WebBrowser event occured. The event is passed to every `WebBrowserListener` object that registered to receive such events using WebBrowser's `addWebBrowserListener` method.

The object that implements the `WebBrowserListener` interface gets this `WebBrowserEvent` when the event occurs. The listener is therefore spared the details of processing individual WebBrowser events.

See Also:
  `WebBrowserListener`, `WebBrowser`, Serialized Form

Field Summary
`static int` | `WEBBROWSER_BEFORE_NAVIGATE` Event fired before a navigation occurs in the given object (on either a window or frameset element).
`static int` | `WEBBROWSER_BEFORE_NEWWINDOW` Event fired when a new window is to be created.
`static int` | `WEBBROWSER_COMMAND_STATE_CHANGE` Event fired when the enabled state of a command changes.
`static int` | `WEBBROWSER_DOWNLOAD_COMPLETED` Event fired when a navigation operation finishes, is halted, or fails.
`static int` | `WEBBROWSER_DOWNLOAD_ERROR` Event fired when an error occurs during download.
`static int` | `WEBBROWSER_DOWNLOAD_PROGRESS` Event fired when the progress of a download operation is updated on the object.
`static int` | `WEBBROWSER_DOWNLOAD_STARTED` Event fired when a navigation operation is beginning.
`static int` | `WEBBROWSER_FOCUS_REQUEST` Event fired when WebBrowser need to get Focus.
`static int` | `WEBBROWSER_INIT_FAILED` Event fired when initialization of WebBrowser fails.
`static int` | `WEBBROWSER_INIT_WINDOW_SUCC` Event fired when initialization of WebBrowser Window succeeds.
`static int` | `WEBBROWSER_RETURN_URL` Event fired when the current URL is requested by a `WebBrowser` object's `getURL` method.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WebBrowserEvent(WebBrowser source, int id)` Constructs a `WebBrowserEvent` object with source and event id.
`WebBrowserEvent(WebBrowser source, int id, java.lang.String data)` Constructs a `WebBrowserEvent` object with source, event id and event data.

Method Summary
`java.lang.String` | `getData()` Returns the event data.
`int` | `getID()` Returns the event ID.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBBROWSER_BEFORE_NAVIGATE

    public static final int WEBBROWSER_BEFORE_NAVIGATE

  Event fired before a navigation occurs in the given object (on either a window or frameset element).

  See Also:
    Constant Field Values

### WEBBROWSER_BEFORE_NEWWINDOW

    public static final int WEBBROWSER_BEFORE_NEWWINDOW

  Event fired when a new window is to be created.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_STARTED

    public static final int WEBBROWSER_DOWNLOAD_STARTED

  Event fired when a navigation operation is beginning.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_COMPLETED

    public static final int WEBBROWSER_DOWNLOAD_COMPLETED

  Event fired when a navigation operation finishes, is halted, or fails.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_PROGRESS

    public static final int WEBBROWSER_DOWNLOAD_PROGRESS

  Event fired when the progress of a download operation is updated on the object.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_ERROR

    public static final int WEBBROWSER_DOWNLOAD_ERROR

  Event fired when an error occurs during download.

  See Also:
    Constant Field Values

### WEBBROWSER_RETURN_URL

    public static final int WEBBROWSER_RETURN_URL

  Event fired when the current URL is requested by a `WebBrowser` object's `getURL` method.

  See Also:
    Constant Field Values

### WEBBROWSER_COMMAND_STATE_CHANGE

    public static final int WEBBROWSER_COMMAND_STATE_CHANGE

  Event fired when the enabled state of a command changes.

  See Also:
    Constant Field Values

### WEBBROWSER_INIT_FAILED

    public static final int WEBBROWSER_INIT_FAILED

  Event fired when initialization of WebBrowser fails.

  See Also:
    Constant Field Values

### WEBBROWSER_INIT_WINDOW_SUCC

    public static final int WEBBROWSER_INIT_WINDOW_SUCC

  Event fired when initialization of WebBrowser Window succeeds.

  See Also:
    Constant Field Values

### WEBBROWSER_FOCUS_REQUEST

    public static final int WEBBROWSER_FOCUS_REQUEST

  Event fired when WebBrowser need to get Focus.

  See Also:
    Constant Field Values

Constructor Detail

### WebBrowserEvent

    public WebBrowserEvent(WebBrowser source,
                           int id)

  Constructs a `WebBrowserEvent` object with source and event id.

  Parameters:
    `source` - the WebBrowser which owns this event.
    `id` - the id of the event.

### WebBrowserEvent

    public WebBrowserEvent(WebBrowser source,
                           int id,
                           java.lang.String data)

  Constructs a `WebBrowserEvent` object with source, event id and event data.

  Parameters:
    `source` - the WebBrowser which owns this event.
    `id` - the id of the event.
    `data` - the data of the event.

Method Detail

### getID

    public int getID()

  Returns the event ID.

### getData

    public java.lang.String getData()

  Returns the event data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.8 Release 4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.